POST api/PatientSurgeries

Create a new patient surgery record or update an existing patient surgery record in the Eye Reach Patients list.

Request Information

URI Parameters

None.

Body Parameters

Model used to create or retrieve a surgery.

PatientSurgeryModel
NameDescriptionTypeAdditional information
PatientExternalId

ID of the patient in the integrating system (Required).

string

None.

SurgeryExternalId

ID of the surgery in the integrating system (Required).

string

None.

SurgeryLocationType

Surgery location name in the integrating system.

string

None.

NonEyeSurgeryLocationType

Non surgery location name in the integrating system.

string

None.

SurgeryDate

Surgery date of the patient surgery.

date

None.

Comments

Comments of the patient surgery.

string

None.

Surgeon

Surgeon who performed the surgery.

string

None.

PortalCreated

Portal created date of the patient surgery.

date

None.

Active

Indicates whether the patient surgery record is active or not.

boolean

None.

EyeSurgery

Indicates whether the surgery is for an eye surgery or not.

boolean

None.

Id

Unique ID of the model in the portal (Read only).

string

None.

ExternalId

Unique ID of the model in the integrating system (Required).

string

None.

Request Formats

application/json, text/json

Sample:
{
  "patientExternalId": "sample string 1",
  "surgeryExternalId": "sample string 2",
  "surgeryLocationType": "sample string 3",
  "nonEyeSurgeryLocationType": "sample string 4",
  "surgeryDate": "2026-05-29T16:57:35.0226934+00:00",
  "comments": "sample string 5",
  "surgeon": "sample string 6",
  "portalCreated": "2026-05-29T16:57:35.0226934+00:00",
  "active": true,
  "eyeSurgery": true,
  "id": "sample string 10",
  "externalId": "sample string 11"
}

application/xml, text/xml

Sample:
<PatientSurgeryModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.SurgeryMaster.PatientSurgeries">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 11</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 10</Id>
  <Active>true</Active>
  <Comments>sample string 5</Comments>
  <EyeSurgery>true</EyeSurgery>
  <NonEyeSurgeryLocationType>sample string 4</NonEyeSurgeryLocationType>
  <PatientExternalId>sample string 1</PatientExternalId>
  <PortalCreated>2026-05-29T16:57:35.0226934+00:00</PortalCreated>
  <Surgeon>sample string 6</Surgeon>
  <SurgeryDate>2026-05-29T16:57:35.0226934+00:00</SurgeryDate>
  <SurgeryExternalId>sample string 2</SurgeryExternalId>
  <SurgeryLocationType>sample string 3</SurgeryLocationType>
</PatientSurgeryModel>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'PatientSurgeryModel'.

Response Information

Resource Description

PatientSurgeryModel
NameDescriptionTypeAdditional information
PatientExternalId

ID of the patient in the integrating system (Required).

string

None.

SurgeryExternalId

ID of the surgery in the integrating system (Required).

string

None.

SurgeryLocationType

Surgery location name in the integrating system.

string

None.

NonEyeSurgeryLocationType

Non surgery location name in the integrating system.

string

None.

SurgeryDate

Surgery date of the patient surgery.

date

None.

Comments

Comments of the patient surgery.

string

None.

Surgeon

Surgeon who performed the surgery.

string

None.

PortalCreated

Portal created date of the patient surgery.

date

None.

Active

Indicates whether the patient surgery record is active or not.

boolean

None.

EyeSurgery

Indicates whether the surgery is for an eye surgery or not.

boolean

None.

Id

Unique ID of the model in the portal (Read only).

string

None.

ExternalId

Unique ID of the model in the integrating system (Required).

string

None.

Response Formats

application/json, text/json

Sample:
{
  "patientExternalId": "sample string 1",
  "surgeryExternalId": "sample string 2",
  "surgeryLocationType": "sample string 3",
  "nonEyeSurgeryLocationType": "sample string 4",
  "surgeryDate": "2026-05-29T16:57:35.0404536+00:00",
  "comments": "sample string 5",
  "surgeon": "sample string 6",
  "portalCreated": "2026-05-29T16:57:35.0404536+00:00",
  "active": true,
  "eyeSurgery": true,
  "id": "sample string 10",
  "externalId": "sample string 11"
}

application/xml, text/xml

Sample:
<PatientSurgeryModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.SurgeryMaster.PatientSurgeries">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 11</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 10</Id>
  <Active>true</Active>
  <Comments>sample string 5</Comments>
  <EyeSurgery>true</EyeSurgery>
  <NonEyeSurgeryLocationType>sample string 4</NonEyeSurgeryLocationType>
  <PatientExternalId>sample string 1</PatientExternalId>
  <PortalCreated>2026-05-29T16:57:35.0404536+00:00</PortalCreated>
  <Surgeon>sample string 6</Surgeon>
  <SurgeryDate>2026-05-29T16:57:35.0404536+00:00</SurgeryDate>
  <SurgeryExternalId>sample string 2</SurgeryExternalId>
  <SurgeryLocationType>sample string 3</SurgeryLocationType>
</PatientSurgeryModel>